Skip to content

Get costed BOM
deprecated

Request

Deprecated. We are actively working on a new version of this endpoint.

Returns costed BOM for a given project.

Note: A project is the same as an RfQ (Request for Quotation). Both /projects and /rfqs endpoints are available.

Security
BearerAuth
Path
idstringrequired

id of the project to retrieve the costed bom for

Headers
Acceptstring(CostedBomAcceptHeader)required

Set this to application/api.luminovo.costed-bom-v1+json.

Value:"application/api.luminovo.costed-bom-v1+json"
GET
/projects/{id}/costed-bom
curl -i -X GET \
  'https://api.luminovo.com/projects/{id}/costed-bom' \
  -H 'Accept: application/api.luminovo.costed-bom-v1+json' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Project costed BOM.

Bodyapplication/json
rfq_idstring, (uuid)required
creation_datestring, (date-time)required
top_level_assembliesArray of objects(types.rfq.costed_bom.v1.CostedBomAssembly)required
sourcing_scenariosArray of objects(types.rfq.costed_bom.v1.CostedSourcingScenario)required
Response
{ "rfq_id": "6377a3cb-6a55-4ab1-a8e7-bf1376dffd7a", "creation_date": "2019-08-24T14:15:22Z", "top_level_assemblies": [ {} ], "sourcing_scenarios": [ {} ] }